Subject: bug#35222: 26.1; `read-command' documentation

From: Noam Postavsky <[email-masked]>
Date: Thu, 11 Apr 2019 20:11:15 -0400

Stefan Monnier <[email-masked]> writes:

>>> 1. The doc string does not say what happens if DEFAULT is not provided
>>>    (so `nil') and the user enters empty input.  And what happens is not
>>>    obvious.  Please add that information to the doc string.
>> Um, can we declare the current behaviour a bug, and instead return nil
>> in this case? That matches the current doc string (i.e., return
>> DEFAULT-VALUE), and avoids the whole mess with the empty string symbol
>> which is weird and pretty useless as far as I can tell.
>
> Yes, it would seem to be more in line with the usual expected behavior.
> The caller can get the current behavior by passing ## as the DEFAULT
> argument, so there doesn't seem to be any good reason to return ## when
> DEFAULT was nil.

Since this bug is already closed, this should go Bug#35231.